pcl::registration::TransformationValidationEuclidean< PointSource, PointTarget, Scalar >::MyPointRepresentation Class Reference

Internal point representation uses only 3D coordinates for L2. More...

`#include <pcl/registration/transformation_validation_euclidean.h>`

Inheritance diagram for pcl::registration::TransformationValidationEuclidean< PointSource, PointTarget, Scalar >::MyPointRepresentation:

## Public Types

using | Ptr = shared_ptr< MyPointRepresentation >
using | ConstPtr = shared_ptr< const MyPointRepresentation >
Public Types inherited from pcl::PointRepresentation< PointTarget >
using | Ptr = shared_ptr< PointRepresentation< PointTarget > >
using | ConstPtr = shared_ptr< const PointRepresentation< PointTarget > >

## Public Member Functions

| MyPointRepresentation ()
virtual | ~MyPointRepresentation ()
| Empty destructor. More...
virtual void | copyToFloatArray (const PointTarget &p, float *out) const
| Copy point data from input point to a float array. More...
Public Member Functions inherited from pcl::PointRepresentation< PointTarget >
virtual | ~PointRepresentation ()=default
| Empty destructor. More...
bool | isTrivial () const
| Returns whether this point representation is trivial. More...
virtual bool | isValid (const PointTarget &p) const
| Verify that the input point is valid. More...
void | vectorize (const PointTarget &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha. More...
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points. More...
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::PointRepresentation< PointTarget >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e. More...
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension. More...
bool | trivial_
| Indicates whether this point representation is trivial. More...

## Detailed Description

### template<typename PointSource, typename PointTarget, typename Scalar = float>
class pcl::registration::TransformationValidationEuclidean< PointSource, PointTarget, Scalar >::MyPointRepresentation

Internal point representation uses only 3D coordinates for L2.

Definition at line 235 of file transformation_validation_euclidean.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointSource , typename PointTarget , typename Scalar = float>

using pcl::registration::TransformationValidationEuclidean< PointSource, PointTarget, Scalar >::MyPointRepresentation::ConstPtr = shared_ptr<const MyPointRepresentation>

Definition at line 241 of file transformation_validation_euclidean.h.

## Ptr

template<typename PointSource , typename PointTarget , typename Scalar = float>

using pcl::registration::TransformationValidationEuclidean< PointSource, PointTarget, Scalar >::MyPointRepresentation::Ptr = shared_ptr<MyPointRepresentation>

Definition at line 240 of file transformation_validation_euclidean.h.

## Constructor & Destructor Documentation

## MyPointRepresentation()

template<typename PointSource , typename PointTarget , typename Scalar = float>

pcl::registration::TransformationValidationEuclidean< PointSource, PointTarget, Scalar >::MyPointRepresentation::MyPointRepresentation | ( |  | ) |

inline

Definition at line 243 of file transformation_validation_euclidean.h.

References pcl::PointRepresentation< PointTarget >::nr_dimensions_, and pcl::PointRepresentation< PointTarget >::trivial_.

## ~MyPointRepresentation()

template<typename PointSource , typename PointTarget , typename Scalar = float>

virtual pcl::registration::TransformationValidationEuclidean< PointSource, PointTarget, Scalar >::MyPointRepresentation::~MyPointRepresentation | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 250 of file transformation_validation_euclidean.h.

## Member Function Documentation

## copyToFloatArray()

template<typename PointSource , typename PointTarget , typename Scalar = float>

virtual void pcl::registration::TransformationValidationEuclidean< PointSource, PointTarget, Scalar >::MyPointRepresentation::copyToFloatArray | ( | const PointTarget & | p,
|  | float * | out
| ) |  | const

inline virtual

Copy point data from input point to a float array.

This method must be overridden in all subclasses.

Parameters

  [in] | p | The input point
  [out] | out | A pointer to a float array.

Implements pcl::PointRepresentation< PointTarget >.

Definition at line 253 of file transformation_validation_euclidean.h.

The documentation for this class was generated from the following file:

- pcl/registration/transformation_validation_euclidean.h